unit launchthreads;

interface

uses
  Classes, Windows, SysUtils, forms, stdctrls,ScktComp2, audioio;

type

  TLaunchReceiverThread = class(TThread)
  private
   AudioOut: TAudioOut;
  protected
    procedure Execute; override;
  public
    constructor create(_AudioOut: TAudioOut);
    destructor Destroy; override;
  end;

  
  TLaunchSenderThread = class(TThread)
  private
   AudioIn: TAudioIn;
  protected
    procedure Execute; override;
  public
    constructor create(_AudioIn: TAudioIn);
    destructor Destroy; override;
  end;


implementation


{constructor}
constructor TLaunchReceiverThread.create(_AudioOut: TAudioOut);
begin
   inherited create(true); // create but don't start running yet
   AudioOut := _AudioOut;
end;

{destructor}
destructor TLaunchReceiverThread.Destroy;
begin
   inherited destroy;
end;


{main thread entry point}
procedure TLaunchReceiverThread.Execute;
begin
   AudioOut.paused := true;
   AudioOut.start;
   AudioOut.paused := false;
end;





{constructor}
constructor TLaunchSenderThread.create(_AudioIn: TAudioIn);
begin
   inherited create(true); // create but don't start running yet
   AudioIn := _AudioIn;
end;

{destructor}
destructor TLaunchSenderThread.Destroy;
begin
   inherited destroy;
end;


{main thread entry point}
procedure TLaunchSenderThread.Execute;
begin
   AudioIn.paused := true;
   AudioIn.start;
   AudioIn.paused := false;
end;

end.
